Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: Megaglest and OpenAL library error

  1. #1
    Join Date
    Nov 2009
    Location
    Santiago, Chile
    Posts
    171

    Exclamation Megaglest and OpenAL library error

    Does someone play Megaglest 3.4 on openSUSE 11.4? I have been playing it since openSUSE 11.2 and this is the first time I can't. Megaglest crash when I try to start a new game. It do works if I disable it!

    Sound related errors tell me that this has something to do with OpenAL libs as you may know that game uses them:
    Code:
    [2011-03-12 19:24:37] *ERROR* Font not found [-*-helvetica-*-r-*-*-15-*-*-*-*-*-*-*] trying to fallback to [fixed]
    [2011-03-12 19:24:37] *ERROR* Font not found [-*-helvetica-*-r-*-*-19-*-*-*-*-*-*-*] trying to fallback to [fixed]
    Couldn't play static sound: [Problem unqueuing buffers in audio source: Invalid Value]
    [2011-03-12 19:24:42] *ERROR* In [/usr/src/packages/BUILD/megaglest-source-3.4.0/source/shared_lib/sources/sound/openal/sound_player_openal.cpp::play Line: 437] Error [Problem unqueuing buffers in audio source: Invalid Value]
    [2011-03-12 19:24:42] *ERROR* In [/usr/src/packages/BUILD/megaglest-source-3.4.0/source/glest_game/global/lang.cpp::get Line: 98] Error [Value not found in propertyMap: MapFilter, loaded from: data/lang/espanol.lng]
    [2011-03-12 19:24:42] *ERROR* In [/usr/src/packages/BUILD/megaglest-source-3.4.0/source/glest_game/global/lang.cpp::get Line: 98] Error [Value not found in propertyMap: Enabled, loaded from: data/lang/espanol.lng]
    [2011-03-12 19:24:42] *ERROR* In [/usr/src/packages/BUILD/megaglest-source-3.4.0/source/glest_game/global/lang.cpp::get Line: 98] Error [Value not found in propertyMap: Explored, loaded from: data/lang/espanol.lng]
    [2011-03-12 19:24:42] *ERROR* In [/usr/src/packages/BUILD/megaglest-source-3.4.0/source/glest_game/global/lang.cpp::get Line: 98] Error [Value not found in propertyMap: AllowObservers, loaded from: data/lang/espanol.lng]
    [2011-03-12 19:24:42] *ERROR* In [/usr/src/packages/BUILD/megaglest-source-3.4.0/source/glest_game/global/lang.cpp::get Line: 98] Error [Value not found in propertyMap: AdvancedGameOptions, loaded from: data/lang/espanol.lng]
    [2011-03-12 19:24:42] *ERROR* In [/usr/src/packages/BUILD/megaglest-source-3.4.0/source/glest_game/global/lang.cpp::get Line: 98] Error [Value not found in propertyMap: To switch off music press, loaded from: data/lang/espanol.lng]
    Couldn't play static sound: [Problem unqueuing buffers in audio source: Invalid Value]
    [2011-03-12 19:24:55] *ERROR* In [/usr/src/packages/BUILD/megaglest-source-3.4.0/source/shared_lib/sources/sound/openal/sound_player_openal.cpp::play Line: 437] Error [Problem unqueuing buffers in audio source: Invalid Value]
    [2011-03-12 19:24:55] *ERROR* In [/usr/src/packages/BUILD/megaglest-source-3.4.0/source/glest_game/main/program.cpp::setState Line: 439] Error [Problem unqueuing buffers in audio source: Invalid Value]
    [2011-03-12 19:24:55] *ERROR* In [/usr/src/packages/BUILD/megaglest-source-3.4.0/source/glest_game/main/program.cpp::setState Line: 439] Error [Problem unqueuing buffers in audio source: Invalid Value]
    Couldn't play static sound: [Problem unqueuing buffers in audio source: Invalid Value]
    terminate called after throwing an instance of 'std::runtime_error'
      what():  Problem unqueuing buffers in audio source: Invalid Value
    Packages are from game repo.
    Game's forums people suggest me to try svn head openal libraries but not sure if it's possible to get and if so don't know how.

    (openSUSE 11.4 32bits)
    Last edited by faco84; 14-Mar-2011 at 21:42. Reason: more info
    HP pavilion dv6-6185la - Intel i7 - AMD Radeon 6770M - openSUSE 12.2 - KDE 4.9

  2. #2

    Default Re: Megaglest and OpenAL library error

    Hello faco84,

    Quote Originally Posted by faco84
    Does someone play Megaglest 3.4 on openSUSE 11.4? I have been playing it since openSUSE 11.2 and this is the first time I can't. Megaglest crash when I try to start a new game.
    I don't play Megaglest.

    Quote Originally Posted by faco84
    It do works if I disable it!
    Could you tell us what you are disabling?

    Quote Originally Posted by faco84
    Packages are from game repo.
    Game's forums people suggest me to try svn head openal libraries but not sure if it's possible to get and if so don't know how.
    I'm not so sure that it's an openAL problem.
    Seeing those errors there are errors related to fonts, language and sound.
    Maybe it's a side effect of some bigger problem?

    Is this all the output you get from Megaglest?

    Best of luck!
    Where did I put my coffee cup?
    dir -R /home/* | grep "coffee cup"

  3. #3
    Join Date
    Nov 2009
    Location
    Santiago, Chile
    Posts
    171

    Default Re: Megaglest and OpenAL library error

    If I disable game's sound it works. Those two first errors also appear when I disable sound and play the game correctly so fonts aren't really a problem to play. I mean I just changed to English game language and those errors are gone. Now there's just a sound issue I need to fix up.
    HP pavilion dv6-6185la - Intel i7 - AMD Radeon 6770M - openSUSE 12.2 - KDE 4.9

  4. #4

    Default Re: Megaglest and OpenAL library error

    Hello faco84,

    Quote Originally Posted by faco84
    If I disable game's sound it works. Those two first errors also appear when I disable sound and play the game correctly so fonts aren't really a problem to play. I mean I just changed to English game language and those errors are gone. Now there's just a sound issue I need to fix up.
    Ok, so it must be an openAL problem.
    I assume the package is build against the openAL package from the Games repository.
    Make sure you've installed openAL from there.

    Start YaST->Software->Software Management, search for openAL.
    Select the installed packages and check the tab Versions.
    Make sure they're from the Games repository.

    Best of luck!
    Where did I put my coffee cup?
    dir -R /home/* | grep "coffee cup"

  5. #5
    Join Date
    Nov 2009
    Location
    Santiago, Chile
    Posts
    171

    Default Re: Megaglest and OpenAL library error

    Thanks Edward but they already are from the games repository :/
    HP pavilion dv6-6185la - Intel i7 - AMD Radeon 6770M - openSUSE 12.2 - KDE 4.9

  6. #6
    Join Date
    Aug 2010
    Location
    Aveiro, Portugal
    Posts
    313

    Default Re: Megaglest and OpenAL library error

    The 64bit package does seem to work ok with me...

  7. #7
    Join Date
    Nov 2009
    Location
    Santiago, Chile
    Posts
    171

    Default Re: Megaglest and OpenAL library error

    Quote Originally Posted by ketheriel View Post
    The 64bit package does seem to work ok with me...
    What openal package version do you have and from what repository?
    HP pavilion dv6-6185la - Intel i7 - AMD Radeon 6770M - openSUSE 12.2 - KDE 4.9

  8. #8
    Join Date
    Jul 2008
    Location
    Austria
    Posts
    46

    Default Re: Megaglest and OpenAL library error

    Hi all!

    Just found out that if you switch back to the openAL package from the OpenSuse Repo, everything works just fine!

    Greetings

    rehcla

  9. #9
    Join Date
    Nov 2009
    Location
    Santiago, Chile
    Posts
    171

    Default Re: Megaglest and OpenAL library error

    Quote Originally Posted by rehcla View Post
    Hi all!

    Just found out that if you switch back to the openAL package from the OpenSuse Repo, everything works just fine!

    Greetings

    rehcla
    So it means that the newer version doesn't work in specific cases?
    openSUSE repo: 1.12.854-4.1
    Games repo: 1.13-6.1 (The weird thing is that this one works for others).

    I'll try it. Thanks!
    HP pavilion dv6-6185la - Intel i7 - AMD Radeon 6770M - openSUSE 12.2 - KDE 4.9

  10. #10
    Join Date
    Aug 2010
    Location
    Aveiro, Portugal
    Posts
    313

    Default Re: Megaglest and OpenAL library error

    Quote Originally Posted by faco84 View Post
    What openal package version do you have and from what repository?
    Code:
    nmarques@magtheridon:~> rpm -qi megaglest
    Name        : megaglest                    Relocations: (not relocatable)
    Version     : 3.4.0                             Vendor: obs://build.opensuse.org/games
    Release     : 6.1                           Build Date: Thu 03 Mar 2011 12:09:28 PM WET
    Install Date: Fri 18 Mar 2011 03:12:24 AM WET      Build Host: build25
    Group       : Amusements/Games/Strategy/Real Time   Source RPM: megaglest-3.4.0-6.1.src.rpm
    Size        : 6617185                          License: GPLv2+
    Signature   : DSA/SHA1, Thu 03 Mar 2011 12:11:06 PM WET, Key ID 8f91b0e6c862b42c
    URL         : http://www.glest.org/
    Summary     : Free 3D Real-Time Customizable Strategy Game
    Description :
    MegaGlest takes place in a context that could be compared to that of
    pre-Renaissance Europe with the license that magic forces exist in the
    environment and can be controlled.
    Distribution: games / openSUSE_11.4
    Worked out of the box!

Page 1 of 2 12 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •